PHP8

Web hosting discussion, programming, and shared and dedicated servers.
2 posts Page 1 of 1
by iben » Fri Feb 05, 2021 8:51 am
PHP version 8 has been out since 2020 and some of my wordpress plugins have stopped working due to us still running only the older php version 7.

Can we please make available the newer version 8 so I can configure my htaccess file to test it out?

https://www.php.net/manual/en/migration ... atures.php

This is what i have now...
$ cat .htaccess
Action php-cgi /cgi-bin/php7
AddHandler php-cgi .php

I tried changing php7 to php8 and php80 and wordpress stopped working. It looks like the htaccess method to change php versions is no longer supported. How do we update our wordpress hosted config to use php8 with sonic.net?

https://wpengine.com/support/htaccess-deprecation/

Before I would ssh to the shell server, cd to my wordpress directory, and vi the file .htaccess to edit the first line. This isn't working anymore.
by iben » Fri Feb 05, 2021 2:32 pm
FYI everyone - I did open a case with sonic tech support. Here is the response...

TLDR
there is no ETA for having PHP8 available

Sonic does not have PHP 8 available at this time -- The web cluster needs to be upgraded first, which is on the roadmap for 2021.

The valid versions that can be set in .htaccess are currently:

php5 (PHP 5.2.11)
php53 (PHP 5.3.29)
php56 (PHP 5.6.34)
php7 (PHP 7.4.3)

Concerning the .htaccess deprecation link, you can use the .user.ini file for PHP 5.3 and later to do the equivalent of php_value() and related functions in .htaccess.
2 posts Page 1 of 1

Who is online

In total there are 7 users online :: 1 registered, 0 hidden and 6 guests (based on users active over the past 5 minutes)
Most users ever online was 999 on Mon May 10, 2021 1:02 am

Users browsing this forum: Bing [Bot] and 6 guests